/********************************************************************************
 * Copyright (c) 2015, 2023 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/
.fileupload {
overflow: hidden;
position: relative;
}
  
.fileupload input.upload {
    float: right;
    position: absolute;
}

input[type='file']{
    opacity: 0;
    cursor: pointer;
    width: 37px;
    height: 37.66px;
    font-size: 0;
    top: 0;
    left: 0;
}

a.disabled {
    pointer-events: none;
    cursor: not-allowed;
}

p-table ::ng-deep .ui-table-caption {
    padding: .25em .5em!important;
    text-align: right!important;
}
  
td {
white-space: nowrap;
overflow: hidden;
text-overflow: ellipsis;
max-width: 150px;
}

.mdmContextMenu > a:hover {
text-decoration: none!important;
}

.btn:focus {
box-shadow: none;
}

.no-margin-bot {
    margin-bottom: 0;
}